Bug 217930 - [RHEL3] Netdump for 8139cp driver
[RHEL3] Netdump for 8139cp driver
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lalancette
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-30 15:07 EST by Chris Lalancette
Modified: 2007-11-30 17:07 EST (History)
7 users (show)

See Also:
Fixed In Version: RHSA-2007-0436
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 13:58:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add netpoll/netdump functionality to the 8139cp driver (3.69 KB, patch)
2006-11-30 15:07 EST, Chris Lalancette
no flags Details | Diff
New patch to add netdump support to 8139cp (4.03 KB, patch)
2006-12-19 17:08 EST, Chris Lalancette
no flags Details | Diff
A new, simpler patch to enable 8139cp netdump (1.99 KB, patch)
2007-02-02 16:32 EST, Chris Lalancette
no flags Details | Diff

  None (edit)
Description Chris Lalancette 2006-11-30 15:07:27 EST
Description of problem:
Add support for netdump to the 8139cp driver.  While I understand it is very
late in RHEL-3, having the ability to netdump off of this driver will allow
Fully virtualized RHEL-3 guests to dump core over the network.  Given that we
don't have any other currently working solution for dumping core on fully
virtualized guests, this is the simplest way to add this functionality.
     The patch that I will attach below seems to make this work on RHEL-3; I
have not extensively tested it, but it definitely works in the basic case.
Comment 1 Chris Lalancette 2006-11-30 15:07:27 EST
Created attachment 142515 [details]
Add netpoll/netdump functionality to the 8139cp driver
Comment 3 Chris Lalancette 2006-12-19 17:08:11 EST
Created attachment 144048 [details]
New patch to add netdump support to 8139cp

This patch is a little closer to what RHEL-4 does in cp_rx_poll.
Comment 4 Chris Lalancette 2007-02-02 16:32:22 EST
Created attachment 147255 [details]
A new, simpler patch to enable 8139cp netdump

This is a completely new patch to enable netdump/netconsole for the 8139cp,
with lots of comments from Jeff Moyer.	It is basically just a simple
poll_controller routine, along with 2 bugfixes, 1 for using spin_lock_irqsave
(so we don't enable interrupts at bad times), and one for removing a printk
that can trigger a hard hang.  Both fixes are in the upstream driver.
Comment 6 Ernie Petrides 2007-03-06 00:12:40 EST
A fix for this problem has just been committed to the RHEL3 U9
patch pool this evening (in kernel version 2.4.21-47.6.EL).
Comment 9 Red Hat Bugzilla 2007-06-11 13:58:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0436.html

Note You need to log in before you can comment on or make changes to this bug.